#pragma once
using namespace System;

ref class Punkt
{
private:
	int x, y;
public:
	Punkt();
	Punkt(int x, int y);	

	property int X
	{
		int get();		
		void set(int x);		
	}

	property int Y
	{
		int get();		
		void set(int y);		
	}

	void zeigePunkt();
	Punkt^ operator+(Punkt^ andererPunkt);	
	Punkt^ operator+(int koo);
	Punkt^ operator--();
	Punkt^ operator--(int);
	bool operator==(Punkt^ andererPunkt);
};

